Subject: Display of color emoji on macOS

From: Tor Kringeland <[email-masked]>
Date: Thu, 19 May 2022 02:47:22 +0000

Currently the default Apple Color Emoji font works with Emacs on macOS and gives color emoji. However, when I try to use the open font "twemoji", Emacs displays the black-and-white version of it. The configuration I'm using is the following

  (set-fontset-font t 'emoji "Twitter Color Emoji")

Is this something that should work with Emacs and is a bug, or is it something for which there is no support yet? [2] mentions something about the font only working on Firefox (and not Chrome or Safari, e.g.). I'm using a nightly build of Emacs 29 on macOS 15.5.5.

- [1] https://github.com/twitter/twemoji

- [2] https://github.com/eosrei/twemoji-color-font